/***************************************************************************
 *   Copyright (C) 2004 by Petr Kavanek                                    *
 *   pietrotk@seznam.cz                                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef T_APLIKACE_H
#define T_APLIKACE_H

#include <ClanLib/core.h>
#include <ClanLib/gui.h>
#include <ClanLib/guistylesilver.h>
#include <ClanLib/application.h>
#include <ClanLib/display.h>
#include <ClanLib/gl.h>


/**
@author Petr Kavanek
*/

class T_Aplikace : public CL_ClanApplication {
public:
	
	// konstruktor (kvuli inicializaci promennych)
	T_Aplikace();

	// uvodni funkce programu
	virtual int main(int argc, char** argv);
	
private:

	// vytvorime menu
	void VytvorMenu();
	
	
	// rozmery okna programu
	int SirkaHlOkna;
	int VyskaHlOkna;
	
	// okno s menu
	CL_Window* OknoSMenu;
	
	// menu
	CL_Menu* Menu;


	// hlavni okno programu
	CL_DisplayWindow HlavniOkno;
	
	// ukazatel na spravce zdroju tohoto programu
	CL_ResourceManager* SpravceZdroju;
	
	// ukazatel na spravce GUI tohoto programu
	CL_GUIManager* SpravceGUI;
	
	// priznak ukonceni hlavni smycky
	bool Konec;
	
};

#endif
